Name:          python-zope-component
Version:       4.6
Release:       1mamba
Summary:       Zope Component Architecture
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://docs.zope.org/zopetoolkit/
Source:        https://pypi.debian.net/zope.component/zope.component-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
Requires:      python-zope-deferredimport
Requires:      python-zope-deprecation
Requires:      python-zope-interface
Requires:      python-zope-event
Requires:      python-zope-hookable
Requires:      python-zope-proxy
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n zope.component-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 4.6-1mamba
- automatic version update by autodist

* Sat Feb 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5-2mamba
- added new python-zope- components

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 4.5-1mamba
- automatic version update by autodist

* Fri Sep 29 2017 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Thu Aug 17 2017 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-2mamba
- require python-zope-interface and python-zope-event

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- package created using the webbuild interface
